## python-nexpy 1.0.10

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../../nexpy-docs
PDFBUILDDIR   = /tmp
PDF           = ../manual.pdf

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NeXpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NeXpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/NeXpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/NeXpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(PDFBUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(PDFBUILDDIR)/latex all-pdf
	cp $(PDFBUILDDIR)/latex/*.pdf $(PDF)
	@echo "pdflatex finished; see $(PDF)"

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-nexpy 1.0.9

=== debian/changelog ===
python-nexpy (1.0.9-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Mon, 23 Sep 2024 21:24:57 +0200

python-nexpy (1.0.9-2) unstable; urgency=medium

  * Fix Maintainer/Uploaders fields.
  * Fix copyright file.

 -- Roland Mas <lolando@debian.org>  Sat, 14 Sep 2024 16:09:46 +0200

python-nexpy (1.0.9-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Tue, 10 Sep 2024 20:42:59 +0200

=== debian/control ===
Source: python-nexpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ipython3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-jupyter-client,
 python3-lmfit,
 python3-matplotlib,
 python3-nexusformat,
 python3-pytest,
 python3-qtconsole,
 python3-qtpy,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.2.0
# Testsuite: autopkgtest-pkg-pybuild
Homepage: https://nexpy.github.io/nexpy/
Rules-Requires-Root: no

Package: python3-nexpy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python GUI to analyze NeXus data
 NeXpy provides a high-level python interface to HDF5 files,
 particularly those stored as NeXus data, within a simple GUI. It is
 designed to provide an intuitive interactive toolbox allowing users
 both to access existing NeXus files and to create new
 NeXus-conforming data structures without expert knowledge of the file
 format.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=nexpy
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r tests "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing nexpy with $py:"
 ; $py -m pytest --verbosity=2
 ; done
Depends: python3-pytest, @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
# try also https://pypi.debian.net/nexpy/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nexpy/nexpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-nexpy 1.0.10

=== debian/changelog ===
python-nexpy (1.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - SyntaxWarning fixed (Closes: #1086855)
  * Point d/watch to github to pick up new releases.
  * Add Vcs-* headers to d/control.
  * Add lintian overrides to improve output.
  * Add explicit dependencies on PyQt5 (Closes: #1089949).
  * Update Standards-Version to 4.7.0 (no changes required).
  * Add upstream/metadata with GitHub URLs

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 Jan 2025 01:18:48 +1100

=== debian/control ===
--- 
+++ 
@@ -17,18 +17,24 @@
  python3-pytest,
  python3-qtconsole,
  python3-qtpy,
+ python3-qtpy-pyqt5,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 # Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://nexpy.github.io/nexpy/
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-nexpy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nexpy
 Rules-Requires-Root: no
 
 Package: python3-nexpy
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends:
+ python3-qtpy-pyqt5,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python GUI to analyze NeXus data
- NeXpy provides a high-level python interface to HDF5 files,
+ NeXpy provides a high-level Python interface to HDF5 files,
  particularly those stored as NeXus data, within a simple GUI. It is
  designed to provide an intuitive interactive toolbox allowing users
  both to access existing NeXus files and to create new

=== debian/rules ===


=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,8 @@
  ; echo "Testing nexpy with $py:"
  ; $py -m pytest --verbosity=2
  ; done
-Depends: python3-pytest, @,
-Restrictions: allow-stderr
+Depends:
+ python3-pytest,
+ @,
+Restrictions:
+ allow-stderr,

=== debian/watch ===
version=4
opts=\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/ \
https://github.com/nexpy/nexpy/tags \
.*/v?(\d.*)@ARCHIVE_EXT@

## python-nexpy 2.0.0

=== docs/requirements.txt ===
furo==2021.11.16
nexusformat
nexpy

=== debian/changelog ===
python-nexpy (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - removes use of pkg-resources (Closes: #1083671)
    - add temporary patch to make use of ansi2html optional, pending #1125478.
    - update build-deps for new version.
    - update d/copyright for new version.

 -- Stuart Prescott <stuart@debian.org>  Thu, 15 Jan 2026 11:41:38 +1100

python-nexpy (1.0.10-2) unstable; urgency=medium

  * Team upload.
  * Rewrite d/watch in v5 format
    * v2.0 requires the new dependency 'ansi2html'
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Jan 2026 14:40:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: python-nexpy
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
  Roland Mas <lolando@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  ipython3,
  pybuild-plugin-pyproject,
  python3-all,
+# python3-ansi2html,  # in NEW, see #1125478
+ python3-fabio,
  python3-jupyter-client,
  python3-lmfit,
  python3-matplotlib,
- python3-nexusformat,
+ python3-nexusformat (>> 2.0~),
  python3-pytest,
  python3-qtconsole,
  python3-qtpy,
  python3-qtpy-pyqt5,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 # Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://nexpy.github.io/nexpy/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nexpy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nexpy
-Rules-Requires-Root: no
 
 Package: python3-nexpy
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=nexpy

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: nexpy
Project: nexpy
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|a)\d*)$/$1~$2/

## python-nexpy 2.0.1

=== docs/requirements.txt ===
furo==2025.12.19
nexusformat
nexpy

=== debian/changelog ===
python-nexpy (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Add pyqt5.qtsvg for tests.

 -- Bastian Germann <bage@debian.org>  Fri, 27 Feb 2026 08:59:30 +0100

python-nexpy (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * Update to PyQt6.
  * New upstream version 2.0.1.

 -- Bastian Germann <bage@debian.org>  Thu, 26 Feb 2026 23:54:23 +0100

python-nexpy (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Require ansi2html, now that it's in Debian.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Feb 2026 18:46:16 +0000

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
  ipython3,
  pybuild-plugin-pyproject,
  python3-all,
-# python3-ansi2html,  # in NEW, see #1125478
+ python3-ansi2html,
  python3-fabio,
  python3-jupyter-client,
  python3-lmfit,
  python3-matplotlib,
  python3-nexusformat (>> 2.0~),
+ python3-pyqt5.qtsvg <!nocheck>,
  python3-pytest,
  python3-qtconsole,
  python3-qtpy,
- python3-qtpy-pyqt5,
+ python3-qtpy-pyqt6,
  python3-setuptools,
  python3-setuptools-scm,
 Standards-Version: 4.7.3
@@ -31,7 +32,7 @@
 Package: python3-nexpy
 Architecture: all
 Depends:
- python3-qtpy-pyqt5,
+ python3-qtpy-pyqt6,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python GUI to analyze NeXus data

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  ; done
 Depends:
  python3-pytest,
+ python3-pyqt5.qtsvg,
  @,
 Restrictions:
  allow-stderr,
